Memos
Memo Service

List Memo Comments

ListMemoComments lists comments for a memo.

GET
/api/v1/memos/{memo}/comments

Path Parameters

memo*string

The memo id.

Query Parameters

pageSize?integer

Optional. The maximum number of comments to return.

Formatint32
pageToken?string

Optional. A page token for pagination.

orderBy?string

Optional. The order to sort results by.

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/memos/string/comments"
{
  "memos": [
    {
      "name": "string",
      "state": "STATE_UNSPECIFIED",
      "creator": "string",
      "createTime": "2019-08-24T14:15:22Z",
      "updateTime": "2019-08-24T14:15:22Z",
      "content": "string",
      "visibility": "VISIBILITY_UNSPECIFIED",
      "tags": [
        "string"
      ],
      "pinned": true,
      "attachments": [
        {
          "name": "string",
          "createTime": "2019-08-24T14:15:22Z",
          "filename": "string",
          "content": "string",
          "externalLink": "string",
          "type": "string",
          "size": "string",
          "memo": "string",
          "motionMedia": {
            "family": "MOTION_MEDIA_FAMILY_UNSPECIFIED",
            "role": "MOTION_MEDIA_ROLE_UNSPECIFIED",
            "groupId": "string",
            "presentationTimestampUs": "string",
            "hasEmbeddedVideo": true
          }
        }
      ],
      "relations": [
        {
          "memo": {
            "name": "string",
            "snippet": "string"
          },
          "relatedMemo": {
            "name": "string",
            "snippet": "string"
          },
          "type": "TYPE_UNSPECIFIED"
        }
      ],
      "reactions": [
        {
          "name": "string",
          "creator": "string",
          "contentId": "string",
          "reactionType": "string",
          "createTime": "2019-08-24T14:15:22Z"
        }
      ],
      "property": {
        "hasLink": true,
        "hasTaskList": true,
        "hasCode": true,
        "hasIncompleteTasks": true,
        "title": "string"
      },
      "parent": "string",
      "snippet": "string",
      "location": {
        "placeholder": "string",
        "latitude": 0.1,
        "longitude": 0.1
      }
    }
  ],
  "nextPageToken": "string",
  "totalSize": 0
}
{
  "code": 0,
  "message": "string",
  "details": [
    {
      "@type": "string"
    }
  ]
}

On this page

No Headings